<?
/*
=============================================
Движок:  SHCMS Engine
=============================================
Название файла: Форум
=============================================
Official website: http://shcms.ru
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$adminka->admin();
$shcmsengine['title'] = 'Создать новый раздел';
include_once'../template/head.php';
registrat();
if($_GET['id']){$id=$_GET['id'];}

if(!$id)
{
echo '<div class="errors">Вы зашли неправильно.</div>';
header("Refresh:1; url=/forum/");
include_once'../template/foot.php';
exit;
}

if($_POST['submit'])
{$submit = $_POST['submit'];}


if(isset($submit))
{
if($_POST['name'])
{$name = $_POST['name'];}
if($_POST['message'])
{$message = $_POST['message'];}
if($_POST['icon_razd'])
{$icon_razd = $_POST['icon_razd'];}
if(mysql_result(mysql_query("SELECT * FROM forum_razd WHERE name='$name'"),0) != 0)
{
echo '<div class="errors">Такое название уже существует</div>';
header("Refresh: 1; url=new.razd.php?id=$id");
include_once'../template/foot.php';
exit();
}



if(empty($name))
{
echo'<div class="errors">Введите название</div>';
header("Refresh: 1; url=?");
	include_once'../template/foot.php';
exit();
}

if(strlen($name)< 0 ||  strlen($name) >60)
{
echo'<div class="errors">название должен быть не больше 60 символов</div>';
header("Refresh: 1; url=?id=$id");
	include_once'../template/foot.php';
exit();
}if(strlen($message)< 0 ||  strlen($message) >255)
{
echo'<div class="errors">Описание должен быть не больше 255 символов</div>';
header("Refresh: 1; url=?");
	include_once'../template/foot.php';
exit();
}
$name = trim($name);
$name = stripslashes($name);
$name = htmlspecialchars($name);

$new_razd = mysql_fetch_array(mysql_query("SELECT * FROM forum_cat WHERE id=$id"));


$mysql_ok = mysql_query("INSERT INTO `forum_razd` (id_cat,name,message,time,icon) VALUES ('$id','$name','$message','$time_date','$icon_razd')");
if($mysql_ok == true)
{
echo'<div class="actshcms">Раздел успешно создан</div>';
header("Refresh:1; url=razd.php?id_cat=$id");
	include_once'../template/foot.php';
exit();
}
else
{
echo'<div class="errors">Ошибка создании нового раздела</div>';echo'<div class="uncom"><a href="razd_new.php">Назад</a></div>';exit();
}


}
echo '<form action="?id='.$id.'&'.$conservation.'" method="post">';
echo 'Название:<br/><input type="text" name="name"><br/>';
echo 'Описание:<br/><textarea name="message"></textarea><br/>';

  echo "Иконка раздела:<br />\n<select name='icon_razd'>\n";
         $icons_razd = opendir('icon/icon_razd/');
        while ($icon_razd = readdir($icons_razd)) {
            if (($icon_razd != '.') && ($icon_razd != '..')) {
              
                echo '<option>'.$icon_razd . '</option>';
            
			}
        }
        closedir($icons_razd);
        echo '</select><br/>';
		
		
		
	
		

echo '<input type="submit" name="submit" value="Создать раздел"></form>';


	include_once'../template/foot.php';
?>